{
  "name": "wallet_app",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "s": "npx cap sync",
    "a": "npx cap run android --live-reload --host=192.168.0.59 --port=5173",
    "app": "npx cap run android --live-reload --host=192.168.0.70 --port=5173",
    "ios": "npx cap run ios --live-reload --host=192.168.0.59 --port=5173",
    "android": "npx cap add android && npx cap sync",
    "android:clean": "(cd android && ./gradlew clean)",
    "build": "vite build && npx cap copy",
    "build:apk": "vite build && npx cap copy && (cd android && ./gradlew build)",
    "build:apk:windows": "vite build && npx cap copy && cd android && .\\gradlew.bat build",
    "icon": "npx capacitor-assets generate --android",
    "preview": "vite preview"
  },
  "dependencies": {
    "@aparajita/capacitor-biometric-auth": "^9.0.0",
    "@capacitor/android": "^7.2.0",
    "@capacitor/app": "^7.0.1",
    "@capacitor/browser": "^7.0.1",
    "@capacitor/cli": "^7.2.0",
    "@capacitor/clipboard": "^7.0.1",
    "@capacitor/core": "^7.2.0",
    "@capacitor/device": "^7.0.1",
    "@capacitor/ios": "^7.2.0",
    "@capacitor/local-notifications": "^7.0.1",
    "@capacitor/push-notifications": "^7.0.1",
    "@capacitor/status-bar": "^7.0.1",
    "@capacitor/toast": "^7.0.1",
    "@ionic-native/fingerprint-aio": "^5.36.0",
    "axios": "^1.10.0",
    "clipboard": "^2.0.11",
    "cordova-plugin-fingerprint-aio": "^6.0.0",
    "dayjs": "^1.11.13",
    "less": "^4.3.0",
    "less-loader": "^12.3.0",
    "lodash": "^4.17.21",
    "pinia": "^3.0.1",
    "sharp": "^0.34.2",
    "vant": "^4.9.20",
    "vue": "^3.5.13",
    "vue-i18n": "^11.1.9",
    "vue-router": "^4.5.0",
    "web3": "^4.16.0"
  },
  "devDependencies": {
    "@capacitor/assets": "^3.0.5",
    "@vitejs/plugin-vue": "^5.2.3",
    "@vitejs/plugin-vue-jsx": "^5.0.1",
    "code-inspector-plugin": "^0.20.12",
    "cordova-plugin-console": "^1.1.0",
    "fast-glob": "^3.3.3",
    "unplugin-auto-import": "^19.3.0",
    "vite": "^6.2.4",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-vue-devtools": "^7.7.2"
  }
}
